Reference a voice tool

References a voice tool for the current tenant

POST /Agent/voice-tools

References a voice tool for the current tenant

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

This operation has no path, query, or header parameters.

Request body

Content type: application/json · Schema: AgentVoiceToolReferenceDto

PropertyTypeRequiredDescriptionConstraints
agentIdinteger · int32No——
toolIdstringNo—nullable

Example request

curl --request POST \
  --url 'https://api.zild.ai/Agent/voice-tools' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "agentId": 0,
  "toolId": "string"
}'

Responses

StatusDescriptionResponse body
200Successfully referenced voice toolapplication/json · AgentVoiceToolDto

Example response (200):

{
  "id": "string",
  "name": "string",
  "description": "string",
  "isTenantReference": true
}

Data models

AgentVoiceToolDto
PropertyTypeRequiredDescriptionConstraints
idstringNo—nullable
namestringNo—nullable
descriptionstringNo—nullable
isTenantReferencebooleanNo——
AgentVoiceToolReferenceDto
PropertyTypeRequiredDescriptionConstraints
agentIdinteger · int32No——
toolIdstringNo—nullable